Bug#524280: Display broken beyond recognition after upgrade to 1:6.12.2-1

Alex Deucher alexdeucher at gmail.com
Thu Apr 23 09:04:04 PDT 2009

On Thu, Apr 23, 2009 at 11:57 AM, Jacek Politowski <jp at jp.pl.eu.org> wrote:
> On Tue, Apr 21, 2009 at 11:09:41AM -0400, Alex Deucher wrote:
>>2009/4/19 Jacek Politowski <jp at jp.pl.eu.org>:
>>> Basically only version 6.9.0 works (both - in X from testing and from
>>> unstable). Unfortunately I don't have access to source package of 6.10
>>> version of radeon driver.
>>You can grab source packages from cgit:
> Sources, I believe, not source packages ;->

There are links to zips and tarballs of releases in the middle of the
page, or do you mean distro packages?

>>Any chance you could try 6.10.0 from the tarballs above and then use
>>git bisect to track down what commit broke this?
>>It's easy to do and would be a big help.  I can walk you through if need be.
> I should be able to do this sort of testing during weekend.
> As I'm not very accustomed to building stuff from pristine sources,
> I'll try to build 6.9.0 first - to verify it works like the version
> from Debian packages, proving also my building process is correct.
> Judging from Debian package 'xserver-xorg-video-radeon' contents, I'll
> need 'radeon_drv.so', 'theatre_detect_drv.so', 'theatre_drv.so' and
> 'theatre200_drv.so'. Just compile it (in the same virtualized
> environment, as Debian packages mentioned in my previous tests) and
> copy these files to appriopriate location on my system?

you can follow these instruction to install from git:


More information about the xorg-driver-ati mailing list